open Global

let do_input is =		(* Boucle de lecture *)
  try
    while true do
      let obj = Stream.next is in
        Vhdl.print obj          (* Pour l'instant, on se contente d'afficher les objets lus dans le fichier *)
    done
  with Stream.Failure -> ()

let _ =
  try
    if (Array.length Sys.argv) > 1 then
      Array.iter (fun name -> do_input (Lexer.input_from_file name)) (Array.sub Sys.argv 1 ((Array.length Sys.argv) - 1))
    else
      do_input (Lexer.input_from_stdin ())
  with
    | LexerError (n, l, s)  ->
	print_string ("Lexer error in "^n^", line "^(string_of_int l)^": "^s^"."); print_newline ()
    | ParserError (n, l, s) ->
	print_string ("Parser error in "^n^", line "^(string_of_int l)^": "^s^"."); print_newline ()
